
void * MidiOpen();
void MidiWrite(void * voidhandle, unsigned char msg[4], int stamp, int msglen);
void MidiPanic(void * voidhandle);
void MidiClose(void * voidhandle);
void MidiSetTempo(void * voidhandle, int bpm, int ppqn);

#ifdef MIDIIO_PRIVATE
void MidiTimeToRealTime(void * voidhandle, long stamp, struct timespec *t);
#endif

